martedì, settembre 09, 2008

Deployment di SSEE 2008 in Visual Studio 2008 SP1

Visual Studio 2008 SP1, tra le tante funzionalità, ha introdotto il supporto a SQL Server 2008, compresa la versione Express (SSEE). SSEE 2008 richiede la presenza di Windows Installer 4.5.

Ogni applicazione che vuole utilizzare SQL Express può includere SSEE 2008 e Windows Installer 4.5 in un programma di setup dei prerequisiti. Nel mio caso, un'applicazione distribuita via ClickOnce , ci si aspetterebbe di trovare i bootstrapper che ne consentono la distribuzione elencati tra i Prerequisites. Invece non ci sono, lo sviluppatore deve creare il package per il prerequisito autonomamente, con il Bootstrapper Manifest Generator, come discusso in questo thread su MSDN.

Il SP1 di Visual Studio 2008 è uscito (non a caso) in concomitanza con SQL Server 2008 e tendo a pensare che sia comune l'esigenza di utilizzare e distribuire SSEE 2008 con la propria applicazione. Quindi quanto sforzo doveva impiegare Microsoft per fornire nel SP1 il supporto alla distribuzione di questo servizio, invece di lasciare l'onere agli sviluppatori?

Il problema non si presenta agli utenti di Visual Studio 2008 Express che trovano il elenco i nuovi prerequisite packages in elenco con l'applicazione del SP1, tutte le altre versioni di Visual Studio 2008 invece ne sono sprovvisti.

Inoltre ci sono delle potenziali difficoltà nell'utilizzo del Prerequisites package di .Net Framework 3.5 SP1. Ma come? nella SP1 non hanno testato a fondo la distribuzione della SP1?

Questo ed altri elementi mi fanno pensare che Microsoft dedica scarsa attenzione alle esigenze di deployment, soprattutto nel mondo degli smart client.

Ho sottomesso una richiesta su Connect per chiedere una refresh di Visual Studio 2008 SP1 (non succederà mai) o almeno la distribuzione dei nuovi prerequistes per le tecnologie introdotte, una volta per tutti gli sviluppatori.
Se questo problema vi sembra rilevante, aumentate l'importanza della mia segnalazione, ecco il link:
https://connect.microsoft.com/VisualStudio/feedback/ViewFeedback.aspx?FeedbackID=366818

UPDATE: Sul SQL Express WebLog è pubblicata una "soluzione" al problema che prevede di installare VS 2008 sP1 Express sulla propria macchina di sviluppo. La versione Express infatti aggiunge il bootstrapper per SSEE 2008. Sarò incontentabile, ma questo episodio proprio non mi è piaciuto.

1 commento:

Mayo ha detto...

Tristezza... forse stanno spendendo + soldi nell'assumere comici che nel pagare programmatori e testers...